历史
黄金日线(人民币 / 克)
同一历史接口加上 currency 和 unit,把每根 K 线换成人民币每克。
GET https://api.metalcharts.org/v1/history/XAU?range=1M&interval=1d¤cy=CNY&unit=g
- 状态
- 200
- 预计 weight
- 2
- 耗时
- 1124 ms
- 落盘时间
- 2026-10-27 10:28:12 UTC
查询参数:range=1M&interval=1d¤cy=CNY&unit=g
- 是否成功
- 是
- success
- 代码
- XAU
- symbol
- range
- 1M
- range
- startDate
- 2026/9/24 10:28:14
- startDate
- endDate
- 2026/10/27 10:28:14
- endDate
- 条数
- 24
- count
- 来源
- database
- source
- 交易所
- SPOT
- exchange
- _rid
- dc5b88c6
- _rid
- 货币
- CNY
- currency
- 重量单位
- g
- unit
数据
data
| 时间timestamp | 价格price | 开open | 高high | 低low | 收close | 成交量volume |
|---|---|---|---|---|---|---|
| 2026/9/24 00:00:00 | 923.3692 | 925.2813 | 929.0733 | 916.0552 | 923.3692 | 0 |
| 2026/9/25 00:00:00 | 925.336 | 923.5813 | 931.7161 | 918.2567 | 925.336 | 0 |
| 2026/9/28 00:00:00 | 887.8596 | 922.9466 | 923.5205 | 886.9276 | 887.8596 | 0 |
| 2026/9/29 00:00:00 | 901.4741 | 886.6185 | 902.0388 | 886.5537 | 901.4741 | 0 |
| 2026/9/30 00:00:00 | 896.1341 | 901.6221 | 909.5243 | 894.0066 | 896.1341 | 0 |
| 2026/10/1 00:00:00 | 900.7728 | 896.1363 | 903.8272 | 892.2433 | 900.7728 | 0 |
| 2026/10/2 00:00:00 | 893.0477 | 900.021 | 910.8658 | 889.2302 | 893.0477 | 0 |
| 2026/10/5 00:00:00 | 892.386 | 893.3042 | 898.9863 | 888.7236 | 892.386 | 0 |
| 2026/10/6 00:00:00 | 897.6585 | 892.7007 | 901.9934 | 884.7185 | 897.6585 | 0 |
| 2026/10/7 00:00:00 | 886.1692 | 897.7232 | 898.9023 | 876.4713 | 886.1692 | 0 |
| 2026/10/8 00:00:00 | 891.0111 | 885.7252 | 893.4611 | 884.1586 | 891.0111 | 0 |
| 2026/10/9 00:00:00 | 902.4633 | 889.6056 | 905.3098 | 888.7062 | 902.4633 | 0 |
| 2026/10/12 00:00:00 | 897.6581 | 902.5125 | 907.509 | 893.9807 | 897.6581 | 0 |
| 2026/10/13 00:00:00 | 894.8352 | 897.7922 | 904.0226 | 892.4807 | 894.8352 | 0 |
| 2026/10/14 00:00:00 | 883.4453 | 895.3444 | 897.3843 | 876.5037 | 883.4453 | 0 |
| 2026/10/15 00:00:00 | 894.065 | 883.1133 | 898.6858 | 881.9452 | 894.065 | 0 |
| 2026/10/16 00:00:00 | 896.0152 | 893.3527 | 902.5619 | 891.5492 | 896.0152 | 0 |
| 2026/10/19 00:00:00 | 889.5582 | 894.7057 | 899.9955 | 888.585 | 889.5582 | 0 |
| 2026/10/20 00:00:00 | 884.7459 | 889.2468 | 892.283 | 882.8235 | 884.7459 | 0 |
| 2026/10/21 00:00:00 | 887.4447 | 884.4771 | 889.0529 | 881.5082 | 887.4447 | 0 |
| 2026/10/22 00:00:00 | 863.9447 | 887.1385 | 888.9504 | 862.8231 | 863.9447 | 0 |
| 2026/10/23 00:00:00 | 857.9969 | 863.4789 | 865.2441 | 852.6237 | 857.9969 | 0 |
| 2026/10/26 00:00:00 | 860.4183 | 856.1585 | 863.9655 | 852.7321 | 860.4183 | 0 |
| 2026/10/27 00:00:00 | 856.3754 | 860.4464 | 862.8527 | 856.0993 | 856.3754 | 0 |
24 行
换算汇率
fx
| fieldfield | valuevalue |
|---|---|
| 来源 (source) | ECB reference rates |
1 行
字段结构
从这份响应推断出的路径、类型和示例值。数组只展开第一条,用来看字段,不代表全部行。
| 路径 | 含义 | 类型 | 示例 |
|---|---|---|---|
| (root) | (root) | 对象 | success, data, symbol, range, startDate, endDate, count, source |
| success | 是否成功 | boolean | 是 |
| data | data | 数组 · 24 条 | timestamp, price, open, high, low, close |
| data[] | data | 对象 | timestamp, price, open, high, low, close, volume |
| data[].timestamp | 时间 | string | 2026/9/24 00:00:00 |
| data[].price | 价格 | number | 923.3692 |
| data[].open | 开 | number | 925.2813 |
| data[].high | 高 | number | 929.0733 |
| data[].low | 低 | number | 916.0552 |
| data[].close | 收 | number | 923.3692 |
| data[].volume | 成交量 | number | 0 |
| symbol | 代码 | string | XAU |
| range | range | string | 1M |
| startDate | startDate | string | 2026/9/24 10:28:14 |
| endDate | endDate | string | 2026/10/27 10:28:14 |
| count | 条数 | number | 24 |
| source | 来源 | string | database |
| exchange | 交易所 | string | SPOT |
| _rid | _rid | string | dc5b88c6 |
| currency | 货币 | string | CNY |
| unit | 重量单位 | string | g |
| fx | 汇率 | 对象 | source |
| fx.source | 来源 | string | ECB reference rates |
原始 JSON
{
"success": true,
"data": [
{
"timestamp": "2026-09-24T00:00:00.000Z",
"price": 923.369232029,
"open": 925.281323614,
"high": 929.073264006,
"low": 916.055228028,
"close": 923.369232029,
"volume": 0
},
{
"timestamp": "2026-09-25T00:00:00.000Z",
"price": 925.335996521,
"open": 923.581288815,
"high": 931.716074095,
"low": 918.256671635,
"close": 925.335996521,
"volume": 0
},
{
"timestamp": "2026-09-28T00:00:00.000Z",
"price": 887.859567816,
"open": 922.94657165,
"high": 923.520494745,
"low": 886.927577084,
"close": 887.859567816,
"volume": 0
},
{
"timestamp": "2026-09-29T00:00:00.000Z",
"price": 901.474145788,
"open": 886.618468402,
"high": 902.038832255,
"low": 886.553747952,
"close": 901.474145788,
"volume": 0
},
{
"timestamp": "2026-09-30T00:00:00.000Z",
"price": 896.134060398,
"open": 901.622073938,
"high": 909.524343009,
"low": 894.006615458,
"close": 896.134060398,
"volume": 0
},
{
"timestamp": "2026-10-01T00:00:00.000Z",
"price": 900.772801431,
"open": 896.136271989,
"high": 903.827195085,
"low": 892.243341528,
"close": 900.772801431,
"volume": 0
},
{
"timestamp": "2026-10-02T00:00:00.000Z",
"price": 893.047729886,
"open": 900.02104936,
"high": 910.865780013,
"low": 889.23020818,
"close": 893.047729886,
"volume": 0
},
{
"timestamp": "2026-10-05T00:00:00.000Z",
"price": 892.386005948,
"open": 893.304230849,
"high": 898.98630895,
"low": 888.72362557,
"close": 892.386005948,
"volume": 0
},
{
"timestamp": "2026-10-06T00:00:00.000Z",
"price": 897.658543448,
"open": 892.700711853,
"high": 901.993382547,
"low": 884.718542628,
"close": 897.658543448,
"volume": 0
},
{
"timestamp": "2026-10-07T00:00:00.000Z",
"price": 886.169244031,
"open": 897.723167705,
"high": 898.902316816,
"low": 876.471349067,
"close": 886.169244031,
"volume": 0
},
{
"timestamp": "2026-10-08T00:00:00.000Z",
"price": 891.011082896,
"open": 885.725201299,
"high": 893.46105351,
"low": 884.158628682,
"close": 891.011082896,
"volume": 0
},
{
"timestamp": "2026-10-09T00:00:00.000Z",
"price": 902.463273762,
"open": 889.605602176,
"high": 905.309783486,
"low": 888.706211321,
"close": 902.463273762,
"volume": 0
},
{
"timestamp": "2026-10-12T00:00:00.000Z",
"price": 897.658053148,
"open": 902.512493394,
"high": 907.508983738,
"low": 893.980686728,
"close": 897.658053148,
"volume": 0
},
{
"timestamp": "2026-10-13T00:00:00.000Z",
"price": 894.835237479,
"open": 897.792176094,
"high": 904.022567957,
"low": 892.480739291,
"close": 894.835237479,
"volume": 0
},
{
"timestamp": "2026-10-14T00:00:00.000Z",
"price": 883.445278649,
"open": 895.344429791,
"high": 897.384287346,
"low": 876.503667475,
"close": 883.445278649,
"volume": 0
},
{
"timestamp": "2026-10-15T00:00:00.000Z",
"price": 894.065034982,
"open": 883.113316071,
"high": 898.685822141,
"low": 881.945172246,
"close": 894.065034982,
"volume": 0
},
{
"timestamp": "2026-10-16T00:00:00.000Z",
"price": 896.015240196,
"open": 893.352695281,
"high": 902.561923442,
"low": 891.54920308,
"close": 896.015240196,
"volume": 0
},
{
"timestamp": "2026-10-19T00:00:00.000Z",
"price": 889.558166873,
"open": 894.70570231,
"high": 899.995471349,
"low": 888.585037302,
"close": 889.558166873,
"volume": 0
},
{
"timestamp": "2026-10-20T00:00:00.000Z",
"price": 884.74587348,
"open": 889.246795376,
"high": 892.283028434,
"low": 882.82354372,
"close": 884.74587348,
"volume": 0
},
{
"timestamp": "2026-10-21T00:00:00.000Z",
"price": 887.444734606,
"open": 884.477110588,
"high": 889.052908884,
"low": 881.508230916,
"close": 887.444734606,
"volume": 0
},
{
"timestamp": "2026-10-22T00:00:00.000Z",
"price": 863.944681417,
"open": 887.138510828,
"high": 888.950361409,
"low": 862.823060855,
"close": 863.944681417,
"volume": 0
},
{
"timestamp": "2026-10-23T00:00:00.000Z",
"price": 857.996920737,
"open": 863.47887127,
"high": 865.244106431,
"low": 852.6236866,
"close": 857.996920737,
"volume": 0
},
{
"timestamp": "2026-10-26T00:00:00.000Z",
"price": 860.418268731,
"open": 856.158476565,
"high": 863.965475045,
"low": 852.732050131,
"close": 860.418268731,
"volume": 0
},
{
"timestamp": "2026-10-27T00:00:00.000Z",
"price": 856.37544429,
"open": 860.446398108,
"high": 862.85274501,
"low": 856.099325767,
"close": 856.37544429,
"volume": 0
}
],
"symbol": "XAU",
"range": "1M",
"startDate": "2026-09-24T10:28:14.748Z",
"endDate": "2026-10-27T10:28:14.748Z",
"count": 24,
"source": "database",
"exchange": "SPOT",
"_rid": "dc5b88c6",
"currency": "CNY",
"unit": "g",
"fx": {
"source": "ECB reference rates"
}
}